﻿#components-reconnect-modal {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.8);
}

    #components-reconnect-modal.components-reconnect-show,
    #components-reconnect-modal.components-reconnect-failed,
    #components-reconnect-modal.components-reconnect-rejected {
        display: flex;
    }

    #components-reconnect-modal .components-messages {
        color: #3b3b3b;
        margin: auto;
        text-align: center;
    }

    #components-reconnect-modal button {
        display: inline-block;
        outline: none;
        cursor: pointer;
        font-size: 16px;
        line-height: 20px;
        font-weight: 600;
        border-radius: 8px;
        padding: 14px 24px;
        border: none;
        background-color: var(--mud-palette-primary);
        color: white;
    }

        #components-reconnect-modal button:active {
            background-color: var(--mud-palette-primary);
        }

    #components-reconnect-modal .components-messages h2 {
        color: #3b3b3b;
    }

    #components-reconnect-modal .components-messages a {
        color: #3b3b3b;
        text-decoration: none;
        border-bottom: 1px dotted white;
    }

    #components-reconnect-modal .components-reconnecting,
    #components-reconnect-modal .components-failed,
    #components-reconnect-modal .components-rejected {
        display: none;
    }

    #components-reconnect-modal.components-reconnect-show .components-reconnecting,
    #components-reconnect-modal.components-reconnect-failed .components-failed,
    #components-reconnect-modal.components-reconnect-rejected .components-rejected {
        display: block;
    }

/*MUD BLAZOR*/
:root {
    --mud-appbar-height: 72px !important;
}

.mud-input-root {
    font-size: .95em;
}

.mud-table-toolbar .mud-toolbar-gutters, .mud-table-toolbar {
    padding: 0;
}
/*
.mud-icon-button:has(.mud-checkbox-input) {
    color: black !important;
}*/

.mud-menu-item-text {
    font-size: var(--mud-typography-body-2);
}

/*BUTTONS*/
.btn-outline {
    border: 1px solid darkgray;
    background: transparent;
    color: black;
}

.btn-outline-delete {
    border: 1px solid #ff9b9b;
}

.btn-dark {
    color: var(--mud-text-disabled);
}

    .btn-dark:hover {
        background: color-mix(in srgb, currentColor 20%, black) !important;
        color: white;
    }

/*GENERIC*/
.border-gray {
    border-color: #e1e1e1;
}

.border-disabled {
    border-color: var(--mud-palette-action-disabled);
}

.fill-flex-container {
    flex: 1 1 auto;
    overflow-y: scroll;
}

.hide-scroll {
    -ms-overflow-style: none; /* IE and Edge */
    scrollbar-width: none; /* Firefox */
}

    .hide-scroll::-webkit-scrollbar {
        display: none; /* Chrome */
    }

.ellipsis {
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 90%;
    display: block;
    overflow: hidden;
}

.line-clamp {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.line-clamp-1 {
    -webkit-line-clamp: 1;
}

.line-clamp-2 {
    -webkit-line-clamp: 2;
}

.line-clamp-3 {
    -webkit-line-clamp: 3;
}

.line-clamp-4 {
    -webkit-line-clamp: 4;
}

/*ALERT - COLORS*/
.alert-success {
    background: #D9F9E0;
    color: #3b3b3b;
}

/*TABLES*/

.table-header th {
    background: #E9EBEE !important;
    padding: .8em 1.1em !important;
    border-bottom: none !important;
    font-size: small;
}

.style-attribute {
    background: #E9EBEE !important;
    font-size: small;
}

th:first-child {
    border-top-left-radius: 8px !important;
    border-bottom-left-radius: 8px !important;
}

th:last-child {
    border-top-right-radius: 8px !important;
    border-bottom-right-radius: 8px !important;
}

td {
    padding: .6em 1em !important;
}

.mud-table-pagination {
    overflow: hidden;
}

.hidden-table-column {
    visibility: hidden;
}

.mud-table-hover .mud-table-container .mud-table-root .mud-table-body .mud-table-row:hover .hidden-table-column {
    visibility: visible;
}

.mud-table-root .mud-table-body .mud-table-cell {
    font-size: small;
}

.selected-row {
    background-color: var(--mud-palette-secondary) !important;
}

    .selected-row > td {
        color: white !important;
    }

        .selected-row > td .mud-input {
            color: white !important;
        }

/*SIZES*/
.w-full {
    width: 100%;
}

.h-full {
    height: 100%;
}
